package consts

const (
	OrderStateUnpaid  = 0 // 未支付
	OrderStateSuccess = 1 // 支付成功
	OrderStateCancel  = 2 // 支付取消
)

const (
	OrderStatusNo        = 0  // 无状态
	OrderStatusSuccess   = 1  // 支付成功
	OrderStatusCancel    = 2  // 支付取消
	OrderStatusByQuery   = 3  // 已支付（处理中）
	OrderStatusNotEnough = 4  // 余额不足（仅限ios存在）
	OrderStatusNotOpenId = 5  // 没有OpenID
	OrderStatusNotEqual  = 6  // 已支付（无可分配订单）
	OrderStatusTimeout   = 90 // 支付超时
	OrderStatusOther     = 91 // 其他异常状态
)

const (
	OrderPlatform        = 0 // 未知
	OrderPlatformAndroid = 1 // 安卓
	OrderPlatformIos     = 2 // 苹果

	InGameOrders    = 1
	OutOfGameOrders = 2
)

const (
	OrderPaymentType   = 0 //未知
	OrderPaymentTypeWx = 1 // 微信
	OrderPaymentTypeDy = 2 //抖音
)

func GetOrderStatusTag(status int32) string {
	switch status {
	case OrderStatusNo:
		return "无状态"
	case OrderStatusSuccess:
		return "支付成功"
	case OrderStatusCancel:
		return "支付取消"
	case OrderStatusByQuery:
		return "支付成功" //已支付，异常订单后续通关定时扫描完成的订单
	case OrderStatusNotEnough:
		return "余额不足"
	case OrderStatusNotOpenId:
		return "测试订单"
	case OrderStatusNotEqual:
		return "无可分配订单"
	case OrderStatusTimeout:
		return "支付超时"
	case OrderStatusOther:
		return "其他异常状态"
	default:
		return "未知状态"
	}
}
